<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var editorParam = {
        //form
        actionUrl:"${contextRoot}/app/addAppService",

        init: function () {

            this.initForm();
            this.bindEvents();
        },
        initForm: function () {
            var me = this;
           var data;
            var modelString = "${model.id}";
            if(modelString!=undefined && modelString!=null && modelString.length>0)
            {
               data={
                    id: "${model.id}",
                    name: "${model.name}",
                   code: "${model.code}",
                   valid: "${model.valid}",
                   version: "${model.version}",
                   description: "${model.description}",
                   endpoint: "${model.endpoint}",
                   requestProtocol: "${model.requestProtocol}",
                   requesModule: "${model.requesModule}",
                   requestMethod: "${model.requestMethod}",
                   healthReportType: "${model.healthReportType}",
                   healthEndpoint: "${model.healthEndpoint}",
                   responeError: "${model.responeError}",
                   metricsReportType: "${model.metricsReportType}",
                   metricsEndpoint: "${model.metricsEndpoint}"
                };

                me.actionUrl = "${contextRoot}/app/updateAppService";
            }

            $("#div_info_form").ligerAutoForm({
                data:data,
                validate:{
                    name:"required",
                    version:"required",
                    valid:"required",
                    endpoint: {
                        required:true
                    }

                },

            });
        },
        bindEvents: function () {
            var me = this;
            $(".m-form-bottom").on("click","#btnSave",function () {
                if(!$("#div_info_form").ligerAutoForm("validate")){
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url : me.actionUrl,
                    dataType : "json",
                    data:data,
                    cache:false,
                    success :function(data){
                        if(data.successFlg) {
                            parent.app.dialogSuccess(data.message);
                        }
                        else{
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error :function(data){
                        $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
                    }
                });
            });

            $(".m-form-bottom").on("click","#btnCancel",function () {
                parent.app.dialog.close();
            });

            $("#txtValid").ligerComboBox({data : [{"value":"1","code":"1"},{"value":"0","code":"0"}],
                cancelable:false,
                onSuccess:function(data){
                }});

        }
    };



    $(function () {
        debugger
        editorParam.init();

    });
</script>